tmat_t Struct Reference

Transition matrix data structure. More...

`#include <tmat.h>`

## Data Fields

uint8 *** | tp
| The transition matrices; kept in the same scale as acoustic scores; tp[tmatid][from-state][to-state].
int16 | n_tmat
| Number matrices.
int16 | n_state
| Number source states in matrix (only the emitting states); Number destination states = n_state+1, it includes the exit state.

## Detailed Description

Transition matrix data structure.

All phone HMMs are assumed to have the same topology.

Definition at line 55 of file tmat.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/tmat.h